module.exports = function(grunt) {
    "use strict";

    // Configuration
    grunt.initConfig({
        pkg: grunt.file.readJSON('package.json'),
        jshint: {
            options: {
                strict: true
            },
            all: ['GruntFile.js', 'js/<%= pkg.name %>.js']
        },
        uglify: {
            all: {
                files: {
                    'js/<%= pkg.name %>.min.js': 'js/<%= pkg.name %>.js'
                }
            }
        },
        smushit: {
            path: {
                src: 'img/'
            }
        }
    });

    // Plugins
    grunt.loadNpmTasks('grunt-contrib-jshint');
    grunt.loadNpmTasks('grunt-contrib-uglify');
    grunt.loadNpmTasks('grunt-smushit');

    // Tasks
    grunt.registerTask('default', ['jshint', 'uglify', 'smushit']);
};